﻿Imports Wiker.WIDatabase
Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim Str As String
        Dim DBInfo As CDatabaseInfo

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' create a new WIDatabase object using the overload which takes a DBinfo object 

        WIDB = New WIDatabase(DBInfo)

        ' attempt to create the DB and use the result value to set user notification 

        If WIDB.Database.Create() Then
            Str = String.Format("Created database named: {0}", DBInfo.DBName)
        Else
            Str = String.Format("Could not create database named: {0}" & vbLf & "Error:{1}", DBInfo.DBName, WIDB.LastErrorMessage)
        End If

        ' Good practice is to close the DB when finished 

        WIDB.Close()

        Console.WriteLine(Str)

    End Sub

End Module
